RCHIVE(1)

NAME
rchive - work with a local archive of Entrez document summaries

SYNOPSIS
rchive [-help] [-strict] [-mixed] [-input filename] [-archive archive indices increment] [-delete archive indices increment] [-index element] [-fetch directory] [-stream directory] [-flag strict|mixed|none] [-gzip] [-hash] [-trie [type]] [-padz] [-e2index [extras]] [-e2invert archive] [-join] [-fuse] [-merge directory field] [-promote directory field] [-path directory] [-query query] [-exact query] [-title query] [-count query] [-counts query] [-version]

DESCRIPTION
rchive creates, updates, or extracts records from a local archive of Entrez document summaries.

OPTIONS

  Processing Flags

-strict
    Remove HTML and MathML tags.

-mixed
    Allow mixed content XML.

  Data Source

-input filename
    Read XML from file instead of standard input.

  Local Record Cache

-archive archive indices increment
    Base path for saving individual XML files, plus paths for first- and second-level inverted index caches.

-delete archive indices increment
    Same paths as -archive, for deleting inverted caches.

-index element
    Use [parent/element@attribute^version] for identifier.

-fetch directory
    Base path for retrieving XML files.

-stream directory
    Path for retrieving compressed XML files (left compressed).

-flag strict|mixed|none
    Alternative syntax for specifying the corresponding options.

-gzip
    Use compression for local XML files.

-hash
    Print UIDs and checksum values to standard output.

-trie [type]
    Print archive (default), indices, increment, or posting[s] file path.

-padz
    Pad PMIDs with leading zeros to eight characters.

  Local Record Index

-e2index [extras]
    Create Entrez index XML. extras (true or false; false by default) indicates whether to index extra fields.

-e2invert archive
    Combined -e2index and -invert in archive.

-join
    Collect subsets of inverted index files.

-fuse
    Combine subsets of inverted index files.

-merge directory field
    Combine inverted indices, dividing by term prefix.

-promote directory field
    Create term lists and posting files.

-path directory
    Path to postings directory.

-query query
    Search on words or phrases in Boolean formulas.

-exact query
    Strict search for article round-tripping.

-title query
    Exact search limited to indexed title field.

-count query
    Print terms and counts, merging wildcards.

-counts query
    Expand wildcards; print individual term counts.

  Documentation

-help
    Print usage information and some example argument combinations.

-version
    Print version number.

SEE ALSO
archive-pmc(1), custom-index(1), fetch-pmc(1), fetch-pubmed(1), index-extras(1), index-pubmed(1), pm-refresh(1), stream-pubmed(1), xtract(1).